body {
    background-color: var(--bg);
    color: var(--text);
    transition: all 0.3s ease;
    font-family: Arial, Helvetica, sans-serif;
}

button {
    background-color: var(--primary);
    color: white;
    font-weight: bold;
    border: none;
    border-radius: 8px;
    padding: 6px 10px;
    transition: all 0.2s ease;
}

button:hover {
    background-color: var(--primary-dark);
    box-shadow: 0 6px 15px rgba(21, 91, 181, 0.3);
    cursor: pointer;
    transform: translateY(-2px);
}

.shop-container {
    display: flex;
    gap: 40px;
    align-items: flex-start;
    padding: 20px;
}

.content {
    padding: 25px;
    background-color: var(--light);
    border: 1px solid var(--primary-light);
    border-radius: 12px;
    box-shadow: 0 8px 20px rgba(0,0,0,0.05);
}

.produkter {
    flex: 2;
}

.produkter h1 {
    margin-bottom: 10px;
    text-align: center;
}

.varukorg {
    flex: 1;
    width: 100%;
    margin-right: 15px;
}

#product-list {
    list-style: none;
    padding: 0;
    margin: 0;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}

#product-list li {
    display: flex;
    gap: 15px;
    align-items: center;
    background-color: var(--card-bg);
    padding: 15px;
    border-radius: 12px;
    box-shadow: 0 6px 18px rgba(0,0,0,0.06);
    transition: transform 0.2s ease;
}

#product-list li:hover {
    transform: translateY(-4px);
}

#product-list img {
    width: 140px;
    height: 95px;
    object-fit: cover;
    border-radius: 10px;
}

.product-info {
    display: flex;
    flex-direction: column;
    gap: 6px;
    width: 100%;
}

.name {
    font-weight: bold;
}

.price {
    font-weight: bold;
    opacity: 0.8;
}

#cart {
    list-style: none;
    padding: 0;
    margin: 15px 0;
}

#cart li {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--card-bg);
    padding: 8px 10px;
    border-radius: 8px;
    margin-bottom: 8px;
}

.remove-btn {
    background-color: none;
    border: none;
    color: red;
    font-size: 15px;
    font-weight: bold;
    cursor: pointer;
    transition: transform 0.2s ease;
}

.remove-btn:hover {
    transform: scale(1.2);
}

#removeAll {
    margin-top: 10px;
    width: 100%;
}

@media (max-width: 1000px) {

    .shop-container {
        flex-direction: column;
    }

    .varukorg {
        max-width: 100%;
    }

}

@media (max-width: 700px) {

    #product-list {
        grid-template-columns: 1fr;
    }

    #product-list li {
        flex-direction: column;
        align-items: flex-start;
    }

    #product-list img {
        width: 100%;
        height: 160px;
    }

}